Subject: Re: [EGIT PATCH] Showing abbreviated commit hash of the versions in Compare editor.

From: Robin Rosenberg <[email-masked]>
Date: Fri, 11 Jan 2008 00:46:40 +0100

onsdagen den 9 januari 2008 skrev Roger C. Soares:
> Robin Rosenberg escreveu:
> > I'm implementing fetch (with some help from Shawn). Progress in
> > place. I still need to update refs and get in consistent with native
> > git behaviour.
> >
> > I'm also updating the javadocs.
> Cool.
> 
> I use a lot the eclipse feature that highlights all occurences of a 
> variable or method but with all the warnings in the project it is 
> difficult to visually find these occurences. So I'm anxious to remove a 
> lot of warnings. Public methods without documentation are one of them. 
> Is it ok if I send you a patch removing all the warnings I know how but 
> the ones about public methods needing documentation as you're already 
> documenting them? I also want to remove the auto generated TODOs, as 
> they don't actually say what to do, like this one:
> // TODO Auto-generated catch block

I pushed my doc-branch as pu, you can look at it. My intention is take a look again
and then push it as master if there are no objections. Is it ok and good to flags 
public stuff without javadoc as an error (tip pu commit)?

The abbr commit patch is already pushed to master.

-- robin